Delete a Network Function

delete

/rest/{versionId}/inventory/nf-mgmt/nfs/{nfId}

Use this (DELETE) method to delete a network function

Request

Path Parameters
Back to Top

Response

204 Response

Deleted successfully.

400 Response

The user input is invalid.

401 Response

The user is unauthorized.

403 Response

The user does not have permission for the attempted action.

404 Response

The object (resource URI, network function, and so on) of your input request cannot be found.

409 Response

The NF exists in locked state.

500 Response

An internal server error has occurred while processing the request.
Back to Top

Examples

Examples of Accessing the API

See Authenticate page to acquire a token.

The following example shows how to use curl to delete a Network Function.

curl -X DELETE \
    -H @auth_header.txt \
    "https://<tenant-url>/<tenant-name>/osdmc/ums/rest/<versionId>/inventory/nf-mgmt/nfs/<nfId>"

The following example shows how to use Python to delete a Network Function.

import requests
headers = { "Authorization": "Bearer <auth-token>" }
url  = "https://<tenant-url>/<tenant-name>/osdmc/ums/rest/<versionId>/inventory/nf-mgmt/nfs/<nfId>"
resp = requests.delete(url, headers=headers)

Note:

Use the Get List of NFs in Device Management API to find the nfId parameter.

Example of the Response Body

This endpoint does not return a response body.

Back to Top